package com.chinaitop.depot.intelligent.supervise.mapper;

import com.chinaitop.depot.intelligent.supervise.model.TDepotStyle;
import com.chinaitop.depot.intelligent.supervise.model.TDepotStyleExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TDepotStyleMapper {
    int countByExample(TDepotStyleExample example);

    int deleteByExample(TDepotStyleExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TDepotStyle record);

    int insertSelective(TDepotStyle record);

    List<TDepotStyle> selectByExampleWithBLOBs(TDepotStyleExample example);

    List<TDepotStyle> selectByExample(TDepotStyleExample example);

    TDepotStyle selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TDepotStyle record, @Param("example") TDepotStyleExample example);

    int updateByExampleWithBLOBs(@Param("record") TDepotStyle record, @Param("example") TDepotStyleExample example);

    int updateByExample(@Param("record") TDepotStyle record, @Param("example") TDepotStyleExample example);

    int updateByPrimaryKeySelective(TDepotStyle record);

    int updateByPrimaryKeyWithBLOBs(TDepotStyle record);

    int updateByPrimaryKey(TDepotStyle record);

    List<Map<String,Object>> selectByGrainSituaiton(Map<String, Object> map);

    List<Map<String,Object>> selectByQT(Map<String, Object> map);

    List<Map<String,Object>> selectByInsect(Map<String, Object> map);

    List<Map<String,Object>> selectByWarning(Map<String, Object> map);
}